SDSamtec Developer Portal
APIsCatalogReferencePart Lookup

Retrieves all parts.

Pages through Samtec's entire parts catalog. Leave startAfterPart empty to fetch the first page, then pass the last part number from the previous page's response to continue. Each page has up to 100 parts, ordered by part number; an empty page means you've reached the end. Each part reflects current pricing and stock in the requested isoCurrencyCode.

GET
/v3
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {your token here}"

In: header

Query Parameters

startAfterPart?string

Used to page through the catalog. Passing en empty string will retrieve the first page. Subsequent requests would use the last part from the page just retrieved.

Default""
isoCurrencyCode?string

ISO 4217 Currency Code to define in what currency pricing will display.

Default"USD"

Header Parameters

client-app-name?string

Name of the client application

Default"samtec-dev-portal"

Response Body

application/json

application/json

curl -X GET "https://example.com/v3"
[  {    "id": "60f1a2b3c4d5e6f7a8b9c0d1",    "part": "TSW-110-08-T-D",    "description": "TSW Series, 8 Position, Single Row, Straight, Through Hole, 0.100\" (2.54mm) Pitch, Socket Strip",    "stockQuantity": 184320,    "minimumOrderQuantity": 1,    "currency": "USD",    "price": [      {        "column": 1,        "minimumQuantity": 1,        "maximumQuantity": 24,        "price": 1.42      },      {        "column": 2,        "minimumQuantity": 25,        "maximumQuantity": 99,        "price": 1.08      },      {        "column": 3,        "minimumQuantity": 100,        "maximumQuantity": 999,        "price": 0.79      }    ],    "customerBookPrice": [],    "packaging": {      "description": "Tube",      "standardQuantity": 50,      "fullIncrementRequired": false    },    "relatedParts": [      {        "part": "TSW-110-08-T-S",        "stockQuantity": 62150,        "packaging": {          "description": "Tube",          "standardQuantity": 50,          "fullIncrementRequired": false        },        "relatedPartType": "Alternate Plating"      }    ],    "environmentalCompliance": [      {        "regulationName": "RoHS",        "result": "Compliant",        "additionalAttributes": {}      }    ],    "additionalDocuments": [      {        "description": "Catalog Page",        "path": "https://suddendocs.samtec.com/catalog_english/tsw_th.pdf",        "languageISO": "en",        "type": "CAT",        "typeFull": "Catalog Page"      }    ],    "imageUrl": "https://cdn.samtec.com/images/parts/TSW-110-08-T-D.png",    "series": "TSW",    "seriesWithOption": null,    "buyNowUrl": "https://www.samtec.com/products/tsw-110-08-t-d",    "requestSampleUrl": "https://www.samtec.com/products/tsw-110-08-t-d#samples",    "nonCancellableNonReturnable": false,    "lifecycleStatus": "Production",    "models": [],    "standardLeadDays": 5,    "eccnCategory": "EAR99",    "htsNumber": "853690",    "probableCountryOfOrigin": "United States",    "reserve": true,    "mates": []  },  {    "id": "60f1a2b3c4d5e6f7a8b9c0d2",    "part": "SFM-150-02-L-D-A",    "description": "SFM Series, 2 Position, Single Row, Right-Angle, Surface Mount, 1.50mm Pitch, Socket Strip",    "stockQuantity": 42750,    "minimumOrderQuantity": 1,    "currency": "USD",    "price": [      {        "column": 1,        "minimumQuantity": 1,        "maximumQuantity": 49,        "price": 0.61      },      {        "column": 2,        "minimumQuantity": 50,        "maximumQuantity": 499,        "price": 0.44      }    ],    "customerBookPrice": [],    "packaging": {      "description": "Tube",      "standardQuantity": 50,      "fullIncrementRequired": false    },    "relatedParts": [      {        "part": "TSW-110-08-T-S",        "stockQuantity": 62150,        "packaging": {          "description": "Tube",          "standardQuantity": 50,          "fullIncrementRequired": false        },        "relatedPartType": "Alternate Plating"      }    ],    "environmentalCompliance": [      {        "regulationName": "RoHS",        "result": "Compliant",        "additionalAttributes": {}      }    ],    "additionalDocuments": [      {        "description": "Catalog Page",        "path": "https://suddendocs.samtec.com/catalog_english/tsw_th.pdf",        "languageISO": "en",        "type": "CAT",        "typeFull": "Catalog Page"      }    ],    "imageUrl": "https://cdn.samtec.com/images/parts/TSW-110-08-T-D.png",    "series": "SFM",    "seriesWithOption": null,    "buyNowUrl": "https://www.samtec.com/products/sfm-150-02-l-d-a",    "requestSampleUrl": "https://www.samtec.com/products/sfm-150-02-l-d-a#samples",    "nonCancellableNonReturnable": false,    "lifecycleStatus": "Production",    "models": [],    "standardLeadDays": 5,    "eccnCategory": "EAR99",    "htsNumber": "853690",    "probableCountryOfOrigin": "United States",    "reserve": true,    "mates": []  }]